POSTGet Address By ENS Name

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/ens/getAddressByEnsName

Retrieves the mapped address by entering the ENS domain name.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
namestringrequired

Enter the ENS domain name.

Responses
addressstring

The address that the ENS domain points to. Returns null if the domain does not exist. If domain renewal or new registration does not occur after the expiry date, the address previously pointed to by the domain is returned.

예: 0xbe6A97E98545439717e0e8A19E7204F434FFCa79

expiryDatestring

Indicates the expiry date of the ENS domain. If domain renewal or new registration does not occur after the expiry date, the previous expiry date is returned.

X-API-KEY
RequestCU80
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/ens/getAddressByEnsName" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "vitalik.eth"
}'
Response
Example · 200
{
  "address": "0xbe6A97E98545439717e0e8A19E7204F434FFCa79",
  "expiryDate": "string"
}